<?php

class A {
    /**
     * @var string
     */
    protected $var;
}

class B extends A {
    /**
     * @inheritDoc
     */
    protected $var;
}

class C extends A {
    /**
     * No inherit
     */
    protected $var;
}

class D extends a {
    protected $var;
}

#[\Attribute(\Attribute::TARGET_PROPERTY)]
final class OwnAttribute
{
}

class E extends A {
    /**
     * @var A
     */
    #[\OwnAttribute]
    protected $myVar;
}

class F extends A {
    /**
     * @var A|E|null|bool
     */
    protected A|E|null|bool $myVar;
}
